// ---------------------------------------------------------------------------
// - t_cloc.cpp                                                              -
// - standard platform library - localization function tester                -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2006 amaury darsch                                   -
// ---------------------------------------------------------------------------

#include "cloc.hpp"

int main (int, char**) {
  using namespace afnix;

  // check for the codeset
  if (c_mapcset (nilp)    != LOC_ASCII) return 1;
  if (c_mapcset ("C")     != LOC_ASCII) return 1;
  if (c_mapcset ("POSIX") != LOC_ASCII) return 1;
  if (c_mapcset ("en")    != LOC_ASCII) return 1;
  if (c_mapcset ("en_US") != LOC_ASCII) return 1;
  if (c_mapcset ("en_US.iso-8859-1") != LOC_LATIN) return 1;
  if (c_mapcset ("en_US.utf8")       != LOC_UTF8)  return 1;

  // everything is fine
  return 0;
}
